## Class template wchannel_logger

boost::log::sources::wchannel_logger — Wide-char logger. Functionally equivalent to `basic_channel_logger`.

## Synopsis

    // In header: <boost/log/sources/channel_logger.hpp>

    template<typename ChannelT = std::wstring>
    class wchannel_logger : public basic_composite_logger< wchar_t, wchannel_logger< std::wstring >, single_thread_model, features< channel< std::wstring > > >
    {
    public:

      // public member functions
      wchannel_logger();
      wchannel_logger(wchannel_logger const &);
      template<typename... ArgsT> explicit wchannel_logger(ArgsT... const &);
      explicit wchannel_logger(ChannelT const &);
      wchannel_logger & operator=(wchannel_logger const &);
    };

## Description

See `channel` class template for a more detailed description

### `wchannel_logger` public member functions

1.     wchannel_logger();

   Default constructor

2.     wchannel_logger(wchannel_logger const & that);

   Copy constructor

3.     template<typename... ArgsT> explicit wchannel_logger(ArgsT... const & args);

   Constructor with named arguments

4.     explicit wchannel_logger(ChannelT const & channel);

   The constructor creates the logger with the specified channel name

   Parameters:

   `channel` | The channel name

5.     wchannel_logger & operator=(wchannel_logger const & that);

   Assignment operator

   Swaps two loggers